Subject: Re: linux-next: add utrace tree

From: Tom Tromey <[email-masked]>
Date: Tue, 26 Jan 2010 16:27:06 -0700

Tom> * Use an fd, not SIGCHLD+wait, to report inferior state changes to gdb.
Tom> Internally we're already using a self-pipe to integrate this into
Tom> gdb's main loop.  Relatedly, don't mess with the inferior's parentage.

Andi> How would having a kernel based solution be better over your
Andi> user space simulation?

Signals and wait are a pain because if we want to use some random
library in gdb, there might be conflicts.  This is true even if we use
signalfd.  An fd-for-debugging does not have this problem.  This matters
more now that we're letting people script gdb in python.

Tom